﻿using UnityEngine;
using URandom = UnityEngine.Random;
using System.Collections;
using System;

public class LineGenerator : MonoBehaviour
{
	public int CountOfPrimitive = 50;
	public GameObject PrimitiveInstance;
	private GameObject[] primitives;

	public Transform[] Transforms;

	void Awake ()
	{
		Debug.Log ("Awake");
		primitives = CreatePrimitives (CountOfPrimitive);
	}

	GameObject[] CreatePrimitives (int count)
	{
		GameObject[] array = new GameObject[count];
		for (int i = 0; i < CountOfPrimitive; i++) {
			float x = URandom.Range (-20, 20);
			float y = URandom.Range (-20, 20);
			float z = URandom.Range (-0, 0);

			var go = Instantiate (PrimitiveInstance, new Vector3 (x, y, z), Quaternion.identity) as GameObject;
			array [i] = go;
		}
		return array;
	}
}
